Skip to main content

Azure credentials - Get

Display information about an Azure credentials set.

GET https://{envUri}/api/v1/projects/{projectId}/azure/credentials/{azureCredentialId}

URI Parameters​

NameInRequiredTypeDescription
envUripathtruestringUrl of the target platform.
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.
azureCredentialIdpathtruestringThe Azure Credential Identifier which uniquely identify your credentials in Evolution Platform.

Responses​

NameTypeDescription
200 OKCredentialsGET successful. The operation returns the Azure credentials.
Other Status CodesError responseError response describing why the operation failed.

Request Body​

NameTypeDescription
iduuidIdentifier of the azure credential in Evolution Platform
projectIdstringIdentifier of the project in Evolution Platform
namestringName of the azure credential in Evolution Platform
cspstringName of the Cloud Service Provider (CSP)
descriptionstringDescription of the azure credential
projectNamestringName of the project in Evolution Platform
expirationDatestringThe expiration date of the authentication token or client secret.

Security​

Type: oauth2

Authorization URL: https://api.orange.com/oauth/v3/token

Examples​

Request​

GET https://{envUri}/api/v1/projects/projectId/azure/credentials/{azureCredentialId}

Sample response​

Status code: 200 (OK)

{
"id": "29f85f64-5717-4562-b3fc-2c963f66afa6",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name":"CredentialsAzure",
"csp":"AZURE",
"description":"This set of credentials allow provisionning on Azure",
"projectName": "orchestrator",
"expirationDate":"2025-06-15"
}